ELManager (EL 3.0 API Documentation - Apache Tomcat 9.0.37)

javax.el

## Class ELManager

- java.lang.Object
- - javax.el.ELManager

-     public class ELManager
      extends java.lang.Object

  Since:
    EL 3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBeanNameResolver(BeanNameResolver beanNameResolver)`
    `void` | `addELResolver(ELResolver resolver)`
    `void` | `addEvaluationListener(EvaluationListener listener)`
    `java.lang.Object` | `defineBean(java.lang.String name, java.lang.Object bean)`
    `StandardELContext` | `getELContext()`
    `static ExpressionFactory` | `getExpressionFactory()`
    `void` | `importClass(java.lang.String className)`
    `void` | `importPackage(java.lang.String packageName)`
    `void` | `importStatic(java.lang.String staticMemberName)`
    `void` | `mapFunction(java.lang.String prefix, java.lang.String function, java.lang.reflect.Method method)`
    `ELContext` | `setELContext(ELContext context)`
    `void` | `setVariable(java.lang.String variable, ValueExpression expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ELManager

          public ELManager()

  - ### Method Detail

    - #### getExpressionFactory

          public static ExpressionFactory getExpressionFactory()

    - #### getELContext

          public StandardELContext getELContext()

    - #### setELContext

          public ELContext setELContext(ELContext context)

    - #### addBeanNameResolver

          public void addBeanNameResolver(BeanNameResolver beanNameResolver)

    - #### addELResolver

          public void addELResolver(ELResolver resolver)

    - #### mapFunction

          public void mapFunction(java.lang.String prefix,
                                  java.lang.String function,
                                  java.lang.reflect.Method method)

    - #### setVariable

          public void setVariable(java.lang.String variable,
                                  ValueExpression expression)

    - #### importStatic

          public void importStatic(java.lang.String staticMemberName)
                            throws ELException

      Throws:
        `ELException`

    - #### importClass

          public void importClass(java.lang.String className)
                           throws ELException

      Throws:
        `ELException`

    - #### importPackage

          public void importPackage(java.lang.String packageName)

    - #### defineBean

          public java.lang.Object defineBean(java.lang.String name,
                                             java.lang.Object bean)

    - #### addEvaluationListener

          public void addEvaluationListener(EvaluationListener listener)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.